import java.util.*;

class ClassCastTest {
	public static void main(String[] args){
		List list=new ArrayList();
		list.add("ablist");
		list.add(new Integer(10));
		list.add(new ClassCastTest());
		//...
		/* 假如使用add方法已经向 list 中添加了10000个不同类型的对象
		 * 下面使用get方法获取第458个
		 */
		Object o=list.get(457);

		/* 接下来对 o 进行向下的强制类型转换，则极易出错。
		 * 因为 list 中有很多对象，程序员很难精确记住某个对象
		 * 的实际类型了。
		 */

		/* 若集合容器是使用已知的一个集合创建的，
		 * 则更难知道其中某个元素的确切类型了。
		 * 假如 list123 是从其他地方传来的。
		 */
		Collection c=new ArrayList(list123);		
	}
}
